Get DSP RTB EP
This endpoint fetches DSP RTB EP(s).
HTTP Request
Section titled “HTTP Request”GET https://adelion.com/api/ortb/dsprtbep/get| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | DSP RTB EP ID, if sent, request will fetch DSP RTB EP with exact ID, otherwise it fill fetch all DSP RTB EPs. | optional |
| AdvertiserId | int | Advertiser ID, if sent, request will fetch DSP RTB EPs with exact advertiser ID, otherwise it fill fetch all DSP RTB EPs. | optional |
| AccManagerId | int | Account Manager ID, if sent, request will fetch DSP RTB EPs with exact Account Manager ID (User ID), otherwise it fill fetch all DSP RTB EPs. | optional |
| ActiveOnly | int | Request will fetch only active DSP RTB EPs if set to 1, otherwise it fill fetch all DSP RTB EPs. | optional |
To get DSP RTB EP, send query parameter like this: Id=1 or AdvertiserId=1 or AccManagerId=5
Or if you want to get all Video Ads, don’t include either of Id or AdvertiserId or AccManagerId parameters, or set them as 0.
Response
Section titled “Response”{ "Id": 1, "TeamId": 1, "AdvertiserId": 1, "AdvertiserName": "Advertiser", "Name": "DSP RTB EP 1", "Tags": [ 1 ], "ZoneUrlUsEast": "https://us-east.advertiser.com/rtb?zone=123", "ZoneUrlEu": "https://eu.advertiser.com/rtb?zone=123", "ZoneUrlApac": "https://apac.advertiser.com/rtb?zone=123", "StatsApi": "", "StatsDashboardUrl": "", "MaxQps": 0, "ExpiryWindow": 20, "AutoOptimize": 1, "AddSchainNode": 1, "DiscardSchain": 0, "Gzip": 0, "RequestsDailyLimit": 0, "BidsDailyLimit": 0, "ImpressionsDailyLimit": 0, "ImpressionsLimitPerIp": 5, "RevenueDailyLimit": 0.0, "BannerEnabled": 1, "VideoEnabled": 1, "AudioEnabled": 1, "NativeEnabled": 1, "PopEnabled": 1, "WebEnabled": 1, "AppEnabled": 1, "MaxBidfloor": 0.8, "MinTmax": 350, "MaxIvt": 50.0, "MaxSchainNodes": 0, "AuctionType" : 0, "DomainsBrandsListMode": 0, "DomainsBrandsList": [ 1 ], "AppsListMode": 0, "AppsList": [ 1 ], "SizesListMode": 1, "SizesList": [ "300x250", "320x480" ], "PubIdListMode": 0, "PubIdList": "", "IpBlacklists": [ 1 ], "NonEmptyReferer": 1, "RefererMatch": 1, "IpMatch": 1, "UaMatch": 1, "AllowIpV6": 1, "CheckSiteLive": 0, "CheckAppStore": 0, "CompleteSchain": 0, "IabCategories": [ "IAB1-1", "IAB2-1", "IAB3" ], "CridListMode": 0, "CridList": "", "SeatListMode": 0, "SeatList": "", "CustomParams": { "imp.tagid": "tag12345", "imp.video.w": "1920" }, "Countries": [ { "CC": "US", "Country": "United States" } ], "Os": [ { "Family": "Windows", "Versions": [ { "Major": "10", "Minor": "" } ] } ], "Browsers": [ { "Family": "Chrome" } ], "DeviceTypes": [ 1, 2, 3, 4, 5 ], "BannerEps": [ 1 ], "VastTags": [ 1 ], "RtbEps": [ 1 ], "PopFeeds": [ 1 ], "StatsByDate": "https://adelion.com/api/ortb/stats/advertiser/rtb?username=advertiser1&auth=7sdd23&zone=1&date_from={date_from}&date_to={date_to}&columns=DateStats,RemoteRequests,NetImpressions,Revenue", "AvgRequestTimeMs": 55, "Qps": 422, "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active"}[ { "Id": 1, "TeamId": 1, "AdvertiserIdId": 1, "AdvertiserName": "Advertiser", "Name": "DSP RTB EP 1", "Tags": [ 1 ], "ZoneUrlUsEast": "https://us-east.advertiser.com/rtb?zone=123", "ZoneUrlEu": "https://eu.advertiser.com/rtb?zone=123", "ZoneUrlApac": "https://apac.advertiser.com/rtb?zone=123", "StatsApi": "", "StatsDashboardUrl": "", "MaxQps": 0, "ExpiryWindow": 20, "AutoOptimize": 1, "AddSchainNode": 1, "DiscardSchain": 0, "Gzip": 0, "RequestsDailyLimit": 0, "BidsDailyLimit": 0, "ImpressionsDailyLimit": 0, "ImpressionsLimitPerIp": 5, "RevenueDailyLimit": 0.0, "BannerEnabled": 1, "VideoEnabled": 1, "AudioEnabled": 1, "NativeEnabled": 1, "PopEnabled": 1, "WebEnabled": 1, "AppEnabled": 1, "MaxBidfloor": 0.8, "MinTmax": 350, "MaxIvt": 50.0, "MaxSchainNodes": 0, "AuctionType" : 0, "NonEmptyReferer": 1, "RefererMatch": 1, "IpMatch": 1, "UaMatch": 1, "AllowIpV6": 1, "CheckSiteLive": 0, "CheckAppStore": 0, "CompleteSchain": 0, "BannerEps": [ 1 ], "VastTags": [ 1 ], "RtbEps": [ 1 ], "PopFeeds": [ 1 ], "StatsByDate": "https://adelion.com/api/ortb/stats/advertiser/rtb?username=advertiser1&auth=7sdd23&zone=1&date_from={date_from}&date_to={date_to}&columns=DateStats,RemoteRequests,NetImpressions,Revenue", "AvgRequestTimeMs": 55, "Qps": 422, "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active" }]Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Code | Status | Meaning |
|---|---|---|
401 | Unauthorized | Your access token is invalid. |
406 | Not Acceptable | One or more JSON values are missing or malformed, or the requested object was not found. |
500 | Internal Server Error | The server encountered a problem. Try again later. |